OGRE: Ogre::Node::Listener Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Node::Listener Class Reference

Listener which gets called back on Node events. More...

`#include <OgreNode.h>`

Inheritance diagram for Ogre::Node::Listener:
[legend]

## Public Member Functions
| Listener ()
virtual | ~Listener ()
virtual void | nodeAttached (const Node *)
| Node has been attached to a parent. More...
virtual void | nodeDestroyed (const Node *)
| Node is being destroyed. More...
virtual void | nodeDetached (const Node *)
| Node has been detached from a parent. More...
virtual void | nodeUpdated (const Node *)
| Called when a node gets updated. More...

## Detailed Description

Listener which gets called back on Node events.

## Constructor & Destructor Documentation

## ◆ Listener()

Ogre::Node::Listener::Listener | ( | void |  | ) |
| inline

## ◆ ~Listener()

virtual Ogre::Node::Listener::~Listener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ nodeAttached()

virtual void Ogre::Node::Listener::nodeAttached | ( | const Node * |  | ) |
| inlinevirtual

Node has been attached to a parent.

## ◆ nodeDestroyed()

virtual void Ogre::Node::Listener::nodeDestroyed | ( | const Node * |  | ) |
| inlinevirtual

Node is being destroyed.

Reimplemented in Ogre::v1::RibbonTrail.

## ◆ nodeDetached()

virtual void Ogre::Node::Listener::nodeDetached | ( | const Node * |  | ) |
| inlinevirtual

Node has been detached from a parent.

## ◆ nodeUpdated()

virtual void Ogre::Node::Listener::nodeUpdated | ( | const Node * |  | ) |
| inlinevirtual

Called when a node gets updated.

Remarks
  Note that this happens when the node's derived update happens, not every time a method altering it's state occurs. There may be several state-changing calls but only one of these calls, when the node graph is fully updated.

Reimplemented in Ogre::v1::RibbonTrail.

The documentation for this class was generated from the following file:

- OgreNode.h